<h2 color="primary">Insert new Notification Endpoint</h2>
<div class="add">
  <mat-form-field class="input">
    <input
      matInput
      type="text"
      placeholder="Placeholder"
      [(ngModel)]="endpoint_placeholder"
    />
  </mat-form-field>
  <mat-form-field class="input">
    <input matInput type="text" placeholder="URL" [(ngModel)]="endpoint_url" />
  </mat-form-field>
  <mat-form-field class="input">
    <input
      matInput
      type="text"
      placeholder="Credentials"
      [(ngModel)]="endpoint_credentials"
    />
  </mat-form-field>
  <span class="action">
    <button
      mat-raised-button
      [disabled]="selected_notification_endpoint_id"
      color="primary"
      (click)="insert()"
    >
      <mat-icon>add</mat-icon>
      Add
    </button>
  </span>
</div>
<div class="notificationEndpoints">
  <div
    class="notificationEndpoint"
    *ngFor="let notificationEndpoint of notificationEndpoints"
  >
    <notification_endpoint-component
      [data]="notificationEndpoint"
      (deleted)="listNotificationEndpoints()"
      (notificationEndpointChange)="notificationEndpointHasChanged($event)"
      (saveNotificationEndpoint)="
        notificationEndpointHasBeenSaved(NotificationEndpoint)
      "
      (selectNotificationEndpoint)="
        notificationEndpointHasBeenSelected(NotificationEndpoint)
      "
      [selected_notification_endpoint]="selected_notification_endpoint_id"
    >
    </notification_endpoint-component>
  </div>
</div>
